package com.ynet.life.sujrb.file;

import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import java.math.BigDecimal;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/CompanyQualificationDetail.class */
public class CompanyQualificationDetail implements RecordInterface {
    private String organCodeep;
    private String orgCode;
    private String corName;
    private String quelificationType;
    private String firstRecognizedy;
    private String lastRecognizedy;
    private String quelificationSTT;
    private String cesc;
    private String didRemark;

    public String getOrganCodeep() {
        return this.organCodeep;
    }

    public void setOrganCodeep(String organCodeep) {
        this.organCodeep = organCodeep;
    }

    public String getOrgCode() {
        return this.orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getCorName() {
        return this.corName;
    }

    public void setCorName(String corName) {
        this.corName = corName;
    }

    public String getQuelificationType() {
        return this.quelificationType;
    }

    public void setQuelificationType(String quelificationType) {
        this.quelificationType = quelificationType;
    }

    public String getFirstRecognizedy() {
        return this.firstRecognizedy;
    }

    public void setFirstRecognizedy(String firstRecognizedy) {
        this.firstRecognizedy = firstRecognizedy;
    }

    public String getLastRecognizedy() {
        return this.lastRecognizedy;
    }

    public void setLastRecognizedy(String lastRecognizedy) {
        this.lastRecognizedy = lastRecognizedy;
    }

    public String getQuelificationSTT() {
        return this.quelificationSTT;
    }

    public void setQuelificationSTT(String quelificationSTT) {
        this.quelificationSTT = quelificationSTT;
    }

    public String getCesc() {
        return this.cesc;
    }

    public void setCesc(String cesc) {
        this.cesc = cesc;
    }

    public String getDidRemark() {
        return this.didRemark;
    }

    public void setDidRemark(String didRemark) {
        this.didRemark = didRemark;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public void initFromMap(Map input) {
        try {
            this.orgCode = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE);
            this.organCodeep = (String) input.get("organCodeep");
            this.corName = (String) input.get("corName");
            this.quelificationType = (String) input.get("quelificationType");
            this.firstRecognizedy = (String) input.get("firstRecognizedy");
            this.lastRecognizedy = (String) input.get("lastRecognizedy");
            this.quelificationSTT = (String) input.get("quelificationSTT");
            this.cesc = (String) input.get("cesc");
            this.didRemark = (String) input.get("didRemark");
        } catch (Exception ex) {
            Trace.logError("LifeFile", "LifeFile异常", ex);
        }
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public KeyedCollection toKeyedCollection() {
        KeyedCollection result = new KeyedCollection();
        result.put(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE, this.orgCode);
        result.put("organCodeep", this.organCodeep);
        result.put("corName", this.corName);
        result.put("quelificationType", this.quelificationType);
        result.put("firstRecognizedy", this.firstRecognizedy);
        result.put("lastRecognizedy", this.lastRecognizedy);
        result.put("quelificationSTT", this.quelificationSTT);
        result.put("cesc", this.cesc);
        result.put("didRemark", this.didRemark);
        return result;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public BigDecimal getAmount() {
        return null;
    }

    public String toString() {
        return "CompanyQualificationDetail [orgCode=" + this.orgCode + ", organCodeep=" + this.organCodeep + ", corName=" + this.corName + ", quelificationType=" + this.quelificationType + ", firstRecognizedy=" + this.firstRecognizedy + ", lastRecognizedy=" + this.lastRecognizedy + ", quelificationSTT=" + this.quelificationSTT + ", cesc=" + this.cesc + ", didRemark=" + this.didRemark + "]";
    }
}
